package cz.yanas.collections;

import java.util.Comparator;

/**
 * @author yanas
 */
public final class PointComparator implements Comparator<Point> {

    public int compare(Point pOne, Point pTwo) {
        if (pOne.equals(pTwo)) {
            return 0;
        }

        if (pOne.getY() < pTwo.getY()
                || (pOne.getY() == pTwo.getY()
                    && pOne.getX() < pTwo.getX())) {
            return -1;
        }

        return 1;
    }
}
