package cz.yanas.collections;

import java.util.Collection;
import java.util.Random;
import java.util.TreeSet;

/**
 * @author yanas
 */
public final class MainClass {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Random random = new Random();

        Collection<Point> points = new TreeSet<Point>();

        for (int i = 1; i <= 10; i++) {
            points.add(new Point(random.nextInt() % 32,
                    random.nextInt() % 32));
        }

        System.out.println(points);

        points.clear();

        for (int i = 10; i > 0; i--) {
            points.add(new Point(random.nextInt() % 32,
                    random.nextInt() % 32));
        }

        System.out.println(points);

        Collection<Point> somePoints =
                new TreeSet<Point>(new PointComparator());
        somePoints.addAll(points);

        System.out.println(somePoints);
    }
}
